List MCP registry gateway tokens
List Forge MCP registry servers visible to the current user and inspect local client installation state.
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
mcp-registry
/
{itemRef}
/
tokens
List MCP registry gateway tokens
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"tokenPrefix": "<string>",
"scopes": [
"mcp:connect"
],
"clientId": "<string>",
"clientName": "<string>",
"registryItemId": "<string>",
"subjectKind": "user",
"subjectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokeReason": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
Path Parameters
Readable MCP registry slug or item identifier.
Response
Non-secret gateway token metadata for the current user's installation.
Show child attributes
Show child attributes
⌘I
List MCP registry gateway tokens
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"tokenPrefix": "<string>",
"scopes": [
"mcp:connect"
],
"clientId": "<string>",
"clientName": "<string>",
"registryItemId": "<string>",
"subjectKind": "user",
"subjectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokeReason": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}